EntityManagerMessageLogger (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.internal
Interface EntityManagerMessageLogger

All Superinterfaces:
  org.jboss.logging.BasicLogger, CoreMessageLogger

All Known Implementing Classes:
  EntityManagerMessageLogger_$logger

    @MessageLogger(projectCode="HHH")
    public interface EntityManagerMessageLogger

extends CoreMessageLogger

The jboss-logging `MessageLogger` for the hibernate-entitymanager module. It reserves message ids ranging from 15001 to 20000 inclusively.

New messages must be added after the last message defined to ensure message codes are unique.

Method Summary
`void` | `boundEjb3ConfigurationToJndiName(String name)`
`void` | `ejb3ConfigurationName(String name)`
`void` | `ejb3ConfigurationRenamedFromName(String name)`
`void` | `ejb3ConfigurationUnboundFromName(String name)`
`void` | `explodedJarDoesNotExist(URL jarUrl)`
`void` | `explodedJarNotDirectory(URL jarUrl)`
`void` | `illegalArgumentOnStaticMetamodelFieldInjection(String name, String name2, String name3, String name4)`
`void` | `malformedUrl(URL jarUrl, URISyntaxException e)`
`void` | `malformedUrlWarning(URL jarUrl, URISyntaxException e)`
`void` | `unableToFindFile(URL jarUrl, Exception e)`
`void` | `unableToLocateStaticMetamodelField(String name, String name2)`
`void` | `usingProvidedDataSource()`

Methods inherited from interface org.hibernate.internal.CoreMessageLogger
`addingOverrideFor, alreadySessionBound, autoCommitMode, autoFlushWillNotWork, batchContainedStatementsOnRelease, bytecodeProvider, c3p0ProviderClassNotFound, cachedFileNotFound, cacheProvider, callingJoinTransactionOnNonJtaEntityManager, cannotResolveNonNullableTransientDependencies, cleaningUpConnectionPool, closing, closingUnreleasedBatch, collectionsFetched, collectionsLoaded, collectionsRecreated, collectionsRemoved, collectionsUpdated, columns, compositeIdClassDoesNotOverrideEquals, compositeIdClassDoesNotOverrideHashCode, configurationResource, configuredSessionFactory, configuringFromFile, configuringFromResource, configuringFromUrl, configuringFromXmlDocument, connectionProperties, connectionsObtained, containerProvidingNullPersistenceUnitRootUrl, containsJoinFetchedCollection, couldNotBindJndiListener, creatingSubcontextInfo, definingFlushBeforeCompletionIgnoredInHem, deprecatedDerbyDialect, deprecatedForceDescriminatorAnnotation, deprecatedOracle9Dialect, deprecatedOracleDialect, deprecatedTransactionManagerStrategy, deprecatedUuidGenerator, disablingContextualLOBCreation, disablingContextualLOBCreationSinceConnectionNull, disablingContextualLOBCreationSinceCreateClobFailed, disablingContextualLOBCreationSinceOldJdbcVersion, disallowingInsertStatementComment, duplicateGeneratorName, duplicateGeneratorTable, duplicateImport, duplicateJoins, duplicateListener, duplicateMetadata, entitiesDeleted, entitiesFetched, entitiesInserted, entitiesLoaded, entitiesUpdated, entityAnnotationOnNonRoot, entityIdentifierValueBindingExists, entityManagerClosedBySomeoneElse, entityManagerFactoryAlreadyRegistered, entityMappedAsNonAbstract, exceptionHeaderFound, exceptionHeaderNotFound, exceptionInAfterTransactionCompletionInterceptor, exceptionInBeforeTransactionCompletionInterceptor, exceptionInSubResolver, expectedType, expired, factoryBoundToJndiName, factoryJndiRename, factoryUnboundFromJndiName, factoryUnboundFromName, failed, failSafeCollectionsCleanup, failSafeEntitiesCleanup, fetchingDatabaseMetadata, filterAnnotationOnSubclass, firstOrMaxResultsSpecifiedWithCollectionFetch, flushes, forcingContainerResourceCleanup, forcingTableUse, foreignKeys, foundMappingDocument, gettersOfLazyClassesCannotBeFinal, guidGenerated, handlingTransientEntity, hibernateConnectionPoolSize, honoringOptimizerSetting, hql, hsqldbSupportsOnlyReadCommittedIsolation, hydratingEntitiesCount, ignoringTableGeneratorConstraints, ignoringUnrecognizedQueryHint, illegalPropertyGetterArgument, illegalPropertySetterArgument, immutableAnnotationOnNonRoot, incompleteMappingMetadataCacheProcessing, indexes, instantiatingExplicitConnectionProvider, invalidArrayElementType, invalidDiscriminatorAnnotation, invalidEditOfReadOnlyItem, invalidJndiName, invalidOnDeleteAnnotation, invalidPrimaryKeyJoinColumnAnnotation, invalidSubStrategy, invalidTableAnnotation, jaccContextId, JavaSqlTypesMappedSameCodeMultipleTimes, javassistEnhancementFailed, jdbcAutoCommitFalseBreaksEjb3Spec, jdbcDriverNotSpecified, jdbcIsolationLevel, jdbcRollbackFailed, jdbcUrlNotSpecified, jndiInitialContextProperties, jndiNameDoesNotHandleSessionFactoryReference, lazyPropertyFetchingAvailable, legacyTransactionManagerStrategy, loadingCollectionKeyNotFound, localLoadingCollectionKeysCount, loggingStatistics, logicalConnectionClosed, logicalConnectionReleasingPhysicalConnection, maxQueryTime, missingArguments, missingEntityAnnotation, namedQueryError, namingExceptionAccessingFactory, narrowingProxy, naturalIdCacheHits, naturalIdCacheMisses, naturalIdCachePuts, naturalIdMaxQueryTime, naturalIdQueriesExecuted, needsLimit, noAppropriateConnectionProvider, noColumnsSpecifiedForIndex, noDefaultConstructor, noPersistentClassesFound, noSessionFactoryWithJndiName, optimisticLockFailures, orderByAnnotationIndexedCollection, overridingTransactionStrategyDangerous, packageNotFound, parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter, parsingXmlError, parsingXmlErrorForFile, parsingXmlWarning, parsingXmlWarningForFile, persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly, pooledOptimizerReportedInitialValue, preparedStatementAlreadyInBatch, processEqualityExpression, processingPersistenceUnitInfoName, propertiesLoaded, propertiesNotFound, propertyNotFound, providerClassDeprecated, proxoolProviderClassNotFound, queriesExecuted, queryCacheHits, queryCacheMisses, queryCachePuts, rdmsOs2200Dialect, readingCachedMappings, readingMappingsFromFile, readingMappingsFromResource, readOnlyCacheConfiguredForMutableCollection, recognizedObsoleteHibernateNamespace, renamedProperty, requiredDifferentProvider, resolvedSqlTypeDescriptorForDifferentSqlCode, runningHbm2ddlSchemaExport, runningHbm2ddlSchemaUpdate, runningSchemaValidator, schemaExportComplete, schemaExportUnsuccessful, schemaUpdateComplete, scopingTypesToSessionFactoryAfterAlreadyScoped, searchingForMappingDocuments, secondLevelCacheHits, secondLevelCacheMisses, secondLevelCachePuts, serviceProperties, sessionsClosed, sessionsOpened, setManagerLookupClass, settersOfLazyClassesCannotBeFinal, sortAnnotationIndexedCollection, splitQueries, sqlExceptionEscapedProxy, sqlWarning, startingQueryCache, startingServiceAtJndiName, startingUpdateTimestampsCache, startTime, statementsClosed, statementsPrepared, stoppingService, subResolverException, successfulTransactions, synchronizationAlreadyRegistered, synchronizationFailed, tableFound, tableNotFound, timestampCacheHits, timestampCacheMisses, timestampCachePuts, transactions, transactionStartedOnNonRootSession, transactionStrategy, typeDefinedNoRegistrationKeys, typeRegistrationOverridesPrevious, unableToAccessEjb3Configuration, unableToAccessSessionFactory, unableToAccessTypeInfoResultSet, unableToApplyConstraints, unableToBindEjb3ConfigurationToJndi, unableToBindFactoryToJndi, unableToBindValueToParameter, unableToBuildEnhancementMetamodel, unableToBuildSessionFactoryUsingMBeanClasspath, unableToCleanUpCallableStatement, unableToCleanUpPreparedStatement, unableToCleanupTemporaryIdTable, unableToCloseConnection, unableToCloseInitialContext, unableToCloseInputFiles, unableToCloseInputStream, unableToCloseInputStreamForResource, unableToCloseIterator, unableToCloseJar, unableToCloseOutputFile, unableToCloseOutputStream, unableToClosePooledConnection, unableToCloseSession, unableToCloseSessionButSwallowingError, unableToCloseSessionDuringRollback, unableToCloseStream, unableToCloseStreamError, unableToCommitJta, unableToCompleteSchemaUpdate, unableToCompleteSchemaValidation, unableToConfigureSqlExceptionConverter, unableToConstructCurrentSessionContext, unableToConstructSqlExceptionConverter, unableToCopySystemProperties, unableToCreateProxyFactory, unableToCreateSchema, unableToDeserializeCache, unableToDestroyCache, unableToDestroyQueryCache, unableToDestroyUpdateTimestampsCache, unableToDetermineLockModeValue, unableToDetermineTransactionStatus, unableToDetermineTransactionStatusAfterCommit, unableToDropTemporaryIdTable, unableToExecuteBatch, unableToExecuteResolver, unableToFindPersistenceXmlInClasspath, unableToGetDatabaseMetadata, unableToInstantiateConfiguredSchemaNameResolver, unableToInstantiateOptimizer, unableToInstantiateUuidGenerationStrategy, unableToJoinTransaction, unableToLoadCommand, unableToLoadDerbyDriver, unableToLoadProperties, unableToLocateConfigFile, unableToLocateConfiguredSchemaNameResolver, unableToLocateCustomOptimizerClass, unableToLocateMBeanServer, unableToLocateUuidGenerationStrategy, unableToLogSqlWarnings, unableToLogWarnings, unableToMarkForRollbackOnPersistenceException, unableToMarkForRollbackOnTransientObjectException, unableToObjectConnectionMetadata, unableToObjectConnectionToQueryMetadata, unableToObtainConnectionMetadata, unableToObtainConnectionToQueryMetadata, unableToObtainInitialContext, unableToParseMetadata, unableToPerformJdbcCommit, unableToPerformManagedFlush, unableToQueryDatabaseMetadata, unableToReadClass, unableToReadColumnValueFromResultSet, unableToReadHiValue, unableToReadOrInitHiValue, unableToReleaseBatchStatement, unableToReleaseCacheLock, unableToReleaseContext, unableToReleaseCreatedMBeanServer, unableToReleaseIsolatedConnection, unableToReleaseTypeInfoResultSet, unableToRemoveBagJoinFetch, unableToResolveAggregateFunction, unableToResolveMappingFile, unableToRetrieveCache, unableToRetrieveTypeInfoResultSet, unableToRollbackConnection, unableToRollbackIsolatedTransaction, unableToRollbackJta, unableToRunSchemaUpdate, unableToSetTransactionToRollbackOnly, unableToStopHibernateService, unableToStopService, unableToSwitchToMethodUsingColumnIndex, unableToSynchronizeDatabaseStateWithSession, unableToToggleAutoCommit, unableToTransformClass, unableToUnbindFactoryFromJndi, unableToUpdateHiValue, unableToUpdateQueryHiValue, unableToWrapResultSet, unableToWriteCachedFile, undeterminedH2Version, unexpectedLiteralTokenType, unexpectedRowCounts, unknownBytecodeProvider, unknownIngresVersion, unknownOracleVersion, unknownSqlServerVersion, unregisteredResultSetWithoutStatement, unregisteredStatement, unsuccessful, unsuccessfulCreate, unsupportedAfterStatement, unsupportedIngresVersion, unsupportedInitialValue, unsupportedMultiTableBulkHqlJpaql, unsupportedOracleVersion, unsupportedProperty, updatingSchema, usingAstQueryTranslatorFactory, usingDefaultIdGeneratorSegmentValue, usingDefaultTransactionStrategy, usingDialect, usingDriver, usingHibernateBuiltInConnectionPool, usingOldDtd, usingReflectionOptimizer, usingStreams, usingTimestampWorkaround, usingUuidHexGenerator, validatorNotFound, version, warningsCreatingTempTable, willNotRegisterListeners, writeLocksNotSupported, writingGeneratedSchemaToFile`

Methods inherited from interface org.jboss.logging.BasicLogger
`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

Method Detail

### boundEjb3ConfigurationToJndiName

    @LogMessage(level=INFO)
    @Message(value="Bound Ejb3Configuration to JNDI name: %s",
             id=15001)
    void boundEjb3ConfigurationToJndiName(String name)

### ejb3ConfigurationName

    @LogMessage(level=INFO)
    @Message(value="Ejb3Configuration name: %s",
             id=15002)
    void ejb3ConfigurationName(String name)

### ejb3ConfigurationRenamedFromName

    @LogMessage(level=INFO)
    @Message(value="An Ejb3Configuration was renamed from name: %s",
             id=15003)
    void ejb3ConfigurationRenamedFromName(String name)

### ejb3ConfigurationUnboundFromName

    @LogMessage(level=INFO)
    @Message(value="An Ejb3Configuration was unbound from name: %s",
             id=15004)
    void ejb3ConfigurationUnboundFromName(String name)

### explodedJarDoesNotExist

    @LogMessage(level=WARN)
    @Message(value="Exploded jar file does not exist (ignored): %s",
             id=15005)
    void explodedJarDoesNotExist(URL jarUrl)

### explodedJarNotDirectory

    @LogMessage(level=WARN)
    @Message(value="Exploded jar file not a directory (ignored): %s",
             id=15006)
    void explodedJarNotDirectory(URL jarUrl)

### illegalArgumentOnStaticMetamodelFieldInjection

    @LogMessage(level=ERROR)
    @Message(value="Illegal argument on static metamodel field injection : %s#%s; expected type :  %s; encountered type : %s",
             id=15007)
    void illegalArgumentOnStaticMetamodelFieldInjection(String name,
                                                                           String name2,
                                                                           String name3,
                                                                           String name4)

### malformedUrl

    @LogMessage(level=ERROR)
    @Message(value="Malformed URL: %s",
             id=15008)
    void malformedUrl(URL jarUrl,
                                         @Cause
                                         URISyntaxException e)

### malformedUrlWarning

    @LogMessage(level=WARN)
    @Message(value="Malformed URL: %s",
             id=15009)
    void malformedUrlWarning(URL jarUrl,
                                                @Cause
                                                URISyntaxException e)

### unableToFindFile

    @LogMessage(level=WARN)
    @Message(value="Unable to find file (ignored): %s",
             id=15010)
    void unableToFindFile(URL jarUrl,
                                             @Cause
                                             Exception e)

### unableToLocateStaticMetamodelField

    @LogMessage(level=ERROR)
    @Message(value="Unable to locate static metamodel field : %s#%s",
             id=15011)
    void unableToLocateStaticMetamodelField(String name,
                                                               String name2)

### usingProvidedDataSource

    @LogMessage(level=INFO)
    @Message(value="Using provided datasource",
             id=15012)
    void usingProvidedDataSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.